> You need to set ZOPEVERSION to 2.7 for it to work.  Is there a
better
> way to figure out the current zope version?  It would be nice if the
> "Zope" module had a __version__ that you could check (or is there
one
> somewhere else that I missed).

No, unfortunately.  A CVS checkout doesn't have a version number, and
this needs to work against CVS checkouts.  You might just check for
the presence or absence of an attribute in a try: except: (aka a
"capabilities check") rather than dispatching on a version number.

> > What about when you're not debugging?
> >
> > What about scripts that pump stuff into Zope and the like?

That would be "zopectl run".

- C


_______________________________________________
Zope-Dev maillist  -  [EMAIL PROTECTED]
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to